%define date 20090208
%define rev  1152

Name:           garmindev
Version:        0
Release:        0.3.%{date}svn%{rev}%{?dist}
Summary:        Drivers for communication with Garmin GPS devices

Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.qlandkarte.org
# snapshot grabbed using http://fedora.danny.cz/fedora-getsvn
# fedora-getsvn garmindev https://qlandkartegt.svn.sourceforge.net/svnroot/qlandkartegt/GarminDev/trunk 928
Source0:        %{name}-svn%{rev}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Provides:       %{name}(interface) = 1.15

BuildRequires:  cmake libusb-devel


%description
Drivers for communication with Garmin GPS devices used by QLandkarteGT.


%prep
%setup -q -n %{name}

# fix libdir
sed -i "s|/usr/lib|%{_libdir}|g" CMakeLists.txt
# don't conflict with original qlandkarte
sed -i "s|qlandkarte|qlandkartegt|g" CMakeLists.txt


%build
%cmake .
make VERBOSE=1 %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# fix perms on plugins
find %{buildroot}%{_libdir}/qlandkartegt -type f -exec chmod 0755 {} \;

# drop the development files
rm -rf %{buildroot}%{_includedir}/garmin
rm -rf %{buildroot}%{_libdir}/qlandkartegt/libgarmin*


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc
%{_libdir}/qlandkartegt


%changelog
* Sun Feb  8 2009 Dan Horák <dan[at]danny.cz> 0-0.3.20090208svn1152
- update to revision 1152 - adds support for eTrex LegendHCx, eTrexH, eTrex Legend

* Wed Nov 19 2008 Dan Horák <dan[at]danny.cz> 0-0.2.20081117svn928
- provide garmindev(interface) = 1.15 for correct interraction with QLandkarteGT

* Mon Nov 17 2008 Dan Horák <dan[at]danny.cz> 0-0.1.20081117svn928
- initial Fedora version
